body {
    margin: 0;
    padding: 0;
    -webkit-font-smoothing: antialiased;
    background-color: #f5f5f5 !important;
}

small {
    font-size: 12px !important;
}

input.form-control {
    padding: 29px 19px;
    border-radius: 2px;
    border: solid 1px #eae3d6;
}
input.form-control:focus {
    outline: none;
    border: 1px solid #d97c2a;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
}

.btn.btn-lg.btn-primary {
    width: 100%;
    padding: 1rem 0;
    font-size: 1rem;
    border-radius: 2px;
    background-color: #dea389;
    border-color: #dea389;
}
.btn-primary:not(:disabled):not(.disabled).active,
.btn-primary:not(:disabled):not(.disabled):active,
.btn-primary:not(:disabled):not(.disabled):hover {
    background-color: #cd744d !important;
    border-color: #cd744d !important;
}

.App {
    text-align: center;
    color: #101010;
    margin: auto;
    font-family: 'Roboto', sans-serif;
}

.App-header {
    height: 127px;
    box-sizing: border-box;
    padding: 40px 0px;
    color: #ffffff;
    width: 100%;
    text-align: center;
    top: 0px;
    max-width: 768px;
    margin: auto;
    z-index: 1000;
}

.App-logo {
    max-width: 157px;
}

.App-body {
}

.App-title {
    font-family: Roboto;
    font-size: 42px;
    font-weight: normal;
    font-style: normal;
    font-stretch: normal;
    line-height: 0.74;
    letter-spacing: normal;
    color: #363333;
    margin: auto;
}

.horz-line {
    width: 70px;
    height: 0.1px;
    border: solid 1px #eae3d6;
    margin: 30px auto 20px auto;
}

.App-description {
    max-width: 760px;
    font-family: Roboto;
    font-size: 18px;
    font-weight: normal;
    font-style: normal;
    font-stretch: normal;
    line-height: 1.72;
    letter-spacing: normal;
    text-align: center;
    color: #363333;
    margin: auto;
}

.t-left {
    text-align: left;
}

.t-right {
    text-align: right;
}

.t-center {
    text-align: center;
}

.t-red {
    color: red;
}

.f-left {
    float: left;
}

.f-right {
    float: right;
}

.half-input {
    width: 40%;
}

.p-relative {
    position: relative;
}

.-button {
    background-color: #dea389;
    color: white;
    font-family: Roboto;
    font-size: 18px;
    font-weight: 500;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;
    padding: 16px 0px;
    margin: auto;
    box-sizing: border-box;
    cursor: pointer;
}

.-button.extra-width {
    max-width: 414px;
}

.-button:focus {
    outline: none;
    box-shadow: none;
}

.-button .-text {
    vertical-align: super;
    /* padding: 0px 4px 0px 16px; */
}

.login-box {
    width: 100%;
    max-width: 330px;
    padding: 15px;
    margin: auto;
    text-align: center;
    margin-top: 58px;
}
.login-box .-input-box {
    margin-bottom: 40px;
}
.login-box .login-button {
    margin-bottom: 10px;
}
.login-box .bank-login .-button {
    padding-left: 10px;
    padding-right: 10px;
}

.login-box .bankid-icon,
.login-box .nemid-icon {
    display: flex;
    justify-content: center;
    margin-bottom: 15px;
}

.login-box .-clear-field {
    border: 1px solid transparent;
    background-color: transparent;
    display: inline-block;
    vertical-align: middle;
    outline: 0;
    cursor: pointer;
    position: absolute;
    padding: 0px;
    border: 0px;
}

.login-box .-clear-field::focus {
    outline: none !important;
    box-shadow: none !important;
}

.login-box .-clear-field::after {
    background-image: url(../images/clear-field.png);
    width: 16px;
    height: 16px;
    right: -127px;
    content: '';
    display: block;
    position: absolute;
    z-index: 1;
    top: -66px;
}

.login-box .bankid-icon img {
    height: 145px;
}

.login-box .nemid-icon img {
    height: 50px;
}

.login-box label[for="bankIDInput"] {
    font-size: 18px;
}

.login-box #bankIDInput {
    margin-bottom: 30px;
}

.-input-box {
    width: 100%;
    height: 60px;
    border-radius: 2px;
    border: solid 1px #eae3d6;
    box-sizing: border-box;
    padding: 18px 20px;
    font-size: 18px;
    font-family: Roboto;
    color: #101010;
}

.-input-box:focus {
    outline: none !important;
    border: 1px solid #d97c2a;
    box-shadow: none !important;
}

.last-declaration {
    margin: 30px 0px;
    font-size: 18px;
}

.login-box .-text {
    text-align: left;
    font-weight: bold;
    line-height: 1.55;
}

.sign-up-page {
    margin-top: 30px;
}

.sign-up-page .signup-additional-info {
    font-size: 18px;
    margin: 30px 0px;
}

.new-signup-form .-text {
    font-weight: 500;
    font-size: 18px;
    margin-bottom: 12px;
}

.new-signup-form {
    max-width: 560px;
    margin: auto;
}

.new-signup-form .-inputcontainer {
    margin-bottom: 30px;
}

.new-signup-form .-inputcontainer.-half-width {
    width: 260px;
    float: left;
}

.new-signup-form .-inputcontainer.-half-width + .-inputcontainer.-half-width {
    margin-left: 40px;
}

.input-error {
    border: 3px solid red !important;
}

.new-certificate {
    width: 270px;
    height: 60px;
    border-radius: 2px;
    background-color: #dea389;
    font-size: 18px;
    font-weight: 500;
    font-style: normal;
    font-stretch: normal;
    line-height: 24px;
    letter-spacing: normal;
    color: #ffffff;
    clear: both;
    margin: 20px auto 40px auto;
    padding: 18px 25px;
}

/**** Radio list *****/
.yesno-question-container {
    font-family: Roboto;
    font-size: 18px;
    color: #101010;
    position: relative;
}

.yesno-question {
    display: flex;
    align-items: center;
}
.yesno-question .question {
    margin-right: 5px;
}

.-radio-container {
    display: flex;
    margin-left: auto;
    white-space: nowrap;
}

.radio-item {
    position: relative;
}
.radio-item label {
    margin-bottom: 0;
    margin-right: 10px;
}
.radio-item input[type='radio'] {
    display: none;
}

.radio-item label {
    cursor: pointer;
}

.radio-item label:before {
    content: " ";
    display: inline-block;
    position: relative;
    top: 5px;
    margin: 0 10px 0 0;
    width: 20px;
    height: 20px;
    border-radius: 11px;
    border: 2px solid #eae3d6;
    background-color: #fff;
    cursor: pointer;
}

.radio-item input[type=radio]:checked + label:after {
    border-radius: 11px;
    width: 10px;
    height: 10px;
    position: absolute;
    top: 10px;
    left: 5px;
    content: " ";
    display: block;
    background: #dea389;
}

[class*='signup-form'] {
    max-width: 560px;
    margin: auto;
}

[class*='signup-form'] .-element {
    padding: 19.5px 0px;
    border-bottom: 1px solid rgba(234, 227, 214, 0.5);
    text-align: left;
}
[class*='signup-form'] .-inputcontainer {
    margin: 20px 0px 0px 0px;
}

[class*='signup-form'] .-inputcontainer.-half-width {
    width: 260px;
    float: left;
}

[class*='signup-form'] .-inputcontainer.-half-width + .-inputcontainer.-half-width {
    margin-left: 40px;
}

[class*='signup-form'] .-inputcontainer .-text {
    margin-bottom: 5px;
}

[class*='signup-form'] .-element .yesno-answer .-text,
[class*='signup-form'] .-element .question .-text {
    font-size: 16px;
    display: block;
    margin-right: 30px;
}

[class*='signup-form'] .-element[question="consent"] .-text {
    display: inline-block;
}

.new-signup-form .-inputcontainer .-text {
    float: left;
}

[class*='signup-form'] .-smalltext {
    color: #a7a7a7;
    font-size: 14px;
    max-width: 185px;
    font-weight: normal;
}

[class*='signup-form'] span.-smalltext {
    margin-left: 10px;
}

[class*='signup-form'] div.-smalltext {
    margin-top: 4px;
}

[class*='signup-form']  .-button {
    /*  margin: 40px auto 20px auto; */
}

[class*='signup-form'] .-smallerinfo {
    font-weight: normal;
    font-size: 16px;
}

.-clear {
    clear: both;
}

.mt30 {
    margin-top: 30px !important;
}

.mt20 {
    margin-top: 20px;
}

.mt10 {
    margin-top: 10px;
}

.m-auto {
    margin: auto;
}

.mr-20 {
    margin-right: 20px;
}

.ml-20 {
    margin-left: 20px;
}

.col-2 {
    width: 20%;
}

.col-4 {
    width: 33%;
}

.col-6 {
    width: 50%;
}

.col-8 {
    width: 60%;
}

.d-inline-block {
    display: inline-block;
}

.line {
    border-bottom: 1px solid rgba(234, 227, 214, 0.5);
}

.textarea {
    width: -webkit-fill-available;
    height: 68px;
    border-radius: 2px;
    padding: 18px 20px;
    border: 1px solid #eae3d6;
    resize: none;
    height: 125px;
    overflow-y: scroll;
    font-size: 18px;
    line-height: 1.33;
    color: #101010;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    width: 100%;
    font-family: Roboto;
    margin-top: 20px;
    outline: none;
    overflow: auto;
}

.-answer-textarea {
    font-family: Roboto;
    font-size: 16px;
    font-weight: normal;
    font-style: italic;
    font-stretch: normal;
    line-height: 1.63;
    letter-spacing: normal;
    color: #101010;
    margin: 20px 25px;
}

.-answer-input {
    width: 95px;
    height: 21px;
    font-family: Roboto;
    font-size: 16px;
    font-weight: normal;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;
    color: #101010;
}

.show-on-ja {
    display: none;
}

.-signoff-btn {
    margin: 40px auto 100px auto !important;
    height: 60px;
}

.d-hide {
    display: none !important;
}

.input-right-placeholder {
    float: right;
    color: #d9d0be;
    text-align: right;
    position: relative;
    margin: -40px 20px 0 0;
}

.box {
    padding: 20px;
    margin-top: 20px;
    border: 1px solid #eae3d6;
}

.box div:first-child {
    margin-top: 0;
}

.box .-inputcontainer.-half-width {
    width: 238px;
}

.-half-width-button {
    width: 200px;
}

.bank-login {
    border-radius: 2px;
    border: 1px solid #eae3d6;
}

input::-webkit-input-placeholder,
textarea::-webkit-input-placeholder {
    /* Chrome/Opera/Safari */
    font-family: Roboto;
    font-size: 16px;
    font-weight: normal;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;
    color: #a7a7a7;
}

#response {
    margin: 50px auto;
}

#response .yesno-question-container .-answer-textarea:empty {
    margin: 0px;
}

#response .login-box .bankid-icon,
#response .login-box .nemid-icon {
    margin-top: 30px;
}

#response .yesno-question-container .answer-group .-answer-input {
    margin-bottom: 15px;
}

#response .yesno-question-container .-answer-radio {
    position: absolute;
    top: 20px;
    right: 0;
}

#response .yesno-question-container .question .-answer-radio {
    top: 0px;
}

#response .medication-list .-text {
    font-size: 16px;
}

#response .medication-list .-text {
    font-size: 16px;
}

#response .medication-list .mt10 .-text {
    word-wrap: break-word;
}

.user-details {
    margin: 70px 0;
    text-align: left;
    display: -webkit-box;
}

.user-details .--signup-user-info {
    margin: 0 auto;
    max-width: 560px;
    box-sizing: border-box;
    padding: 0;
}

.user-details .row,
.medication-list .row {
    width: 100%;
    justify-content: center;
}

.user-details .row [class*=col-] > div {
    margin-bottom: 20px;
}

.user-details .user-title {
    font-size: 16px;
    font-weight: 500;
    color: #101010;
    margin-bottom: 5px;
}

.user-details .user-value {
    font-size: 16px;
    color: #101010;
}

.more-changes {
    margin-bottom: 20px;
    color: #cd744d;
}

.bank-login .-button {
    margin-left: 80px;
}

.incomplete-declaration {
    padding: 20px;
}

/************* thank you page start ***************/

/*.thank-you-div {
    background-color: #f7f6f5;
}*/

.thank-you-title {
    color: #363333;
    font-size: 18px;
    line-height: 1.72;
    margin: 66px 0 5px 0;
}

.thank-you-description {
    color: #363333;
    font-size: 18px;
    line-height: 1.72;
    margin-bottom: 30px;
}

.thank-you-div-title {
    font-size: 24px;
    line-height: 1.29;
    text-align: center;
    color: #363333;
    padding: 26px;
}

.--thank-you-div-description {
    width: 100%;
    max-width: 560px;
    margin: 0 auto;
}

.--thank-you-div-description .address-col {
    text-align: left;
}

/*.--thank-you-div-description .address-col.--first-colm {
    text-align: right;
}*/

.--thank-you-div-description .address-col.--first-colm .thank-you-div-box {
    margin-right: 60px;
    float: right;
}

.--thank-you-div-description .address-col .thank-you-div-box {
    margin-left: 60px;
}

.thank-you-message {
    max-width: 700px;
    margin: auto;
}

.thank-you-div-box {
    color: #363333;
    font-size: 18px;
    /*text-align: left;*/
    line-height: 1.72;
}

/************* thank you page end   ***************/

/************* loader start ******************/

/* Absolute Center Spinner */
.loading {
    position: fixed;
    z-index: 999;
    height: 2em;
    width: 2em;
    overflow: show;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

/* Transparent Overlay */
.loading:before {
    content: '';
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: radial-gradient(rgba(20, 20, 20, .8), rgba(0, 0, 0, .8));

    background: -webkit-radial-gradient(rgba(20, 20, 20, .8), rgba(0, 0, 0, .8));
}

/* :not(:required) hides these rules from IE9 and below */
.loading:not(:required) {
    /* hide "loading..." text */
    font: 0/0 a;
    color: transparent;
    text-shadow: none;
    background-color: transparent;
    border: 0;
}

.loading:not(:required):after {
    content: '';
    display: block;
    font-size: 10px;
    width: 1em;
    height: 1em;
    margin-top: -0.5em;
    -webkit-animation: spinner 1500ms infinite linear;
    -moz-animation: spinner 1500ms infinite linear;
    -ms-animation: spinner 1500ms infinite linear;
    -o-animation: spinner 1500ms infinite linear;
    animation: spinner 1500ms infinite linear;
    border-radius: 0.5em;
    -webkit-box-shadow: rgba(255, 255, 255, 0.75) 1.5em 0 0 0, rgba(255, 255, 255, 0.75) 1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) 0 1.5em 0 0, rgba(255, 255, 255, 0.75) -1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) -1.5em 0 0 0, rgba(255, 255, 255, 0.75) -1.1em -1.1em 0 0, rgba(255, 255, 255, 0.75) 0 -1.5em 0 0, rgba(255, 255, 255, 0.75) 1.1em -1.1em 0 0;
    box-shadow: rgba(255, 255, 255, 0.75) 1.5em 0 0 0, rgba(255, 255, 255, 0.75) 1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) 0 1.5em 0 0, rgba(255, 255, 255, 0.75) -1.1em 1.1em 0 0, rgba(255, 255, 255, 0.75) -1.5em 0 0 0, rgba(255, 255, 255, 0.75) -1.1em -1.1em 0 0, rgba(255, 255, 255, 0.75) 0 -1.5em 0 0, rgba(255, 255, 255, 0.75) 1.1em -1.1em 0 0;
}

/* Animation */

@-webkit-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@-moz-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@-o-keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@keyframes spinner {
    0% {
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

/************* loader end ********************/

@media only screen and (max-width: 320px) {
    .App-body {
        margin-top: 60px;
    }

    .App-title {
        font-size: 35px;
    }
}

@media only screen and (max-width: 768px) {
    .App {
        max-width: 100%;
    }
    .App-body {
        margin-top: 100px;
        padding: 0px 28px;
    }
    .App-header {
        padding: 18px 0px;
        height: 66px;
    }

    .App-description {
        padding: 0px;
        font-size: 16px;
        line-height: 1.3;
    }

    [class*="signup-form"] .-inputcontainer.-half-width {
        max-width: calc(50% - 10px);
    }

    [class*="signup-form"] .-inputcontainer.-half-width + .-inputcontainer.-half-width {
        margin-left: 20px;
    }

    .login-box .-input-box {
        width: 100%;
        height: 39px;
        padding: 10px;
        font-size: 14px;
        margin-bottom: 20px;
    }

    [class*='signup-form'] .-smalltext {
        max-width: none;
    }

    [class*='signup-form'] span.-smalltext {
        display: block;
        margin-top: 8px;
    }

    #response .yesno-answer .-text {
        text-align: left;
    }

    .m-hide {
        display: none !important;
    }

    .-signoff-btn .bank-logo {
        vertical-align: super;
    }

    .-signoff-btn .-text {
        text-align: center;
        font-size: 18px;
        width: 180px;
        display: inline-block;
    }

    .thank-you-div-box {
        margin-left: 10px;
    }

    .-answer-input {
        text-align: left;
    }
}

@media only screen and (min-width: 768px) {
    .line {
        width: 960px;
        margin: auto;
    }

    .login-box .nemid-block {
        margin-left: 20px;
    }
}

@media only screen and (min-width: 1024px) {
    .thank-you-div-box {
        margin: 20px 100px;
    }
}

@media only screen and (max-width: 767px) {
    .--thank-you-div-description {
        max-width: 100% !important;
        padding: 0 !important;
    }

    .--thank-you-div-description .address-col .thank-you-div-box {
        margin: 0 0 30px 0 !important;
    }

    .--thank-you-div-description .address-col.--first-colm .thank-you-div-box {
        float: left;
    }

    .yesno-question {
        display: block;
        width: 100%;
    }

    .-radio-container {
        display: block;
        width: 100%;
        margin-top: 8px;
    }

    .-radio-container .radio-item {
        display: inline-block;
        vertical-align: top;
    }
}
